Ask Your Question
0

error transaction check to install steam from yum

asked 2013-12-01 14:18:10 -0500

xtaox gravatar image

updated 2014-02-13 13:50:54 -0500

mether gravatar image

Hi, Fellows

Anybody have this problem above to install steam from rpmfusion repo in Fedora 20 Beta and got the solution?

Running transaction check ERROR with transaction check vs depsolve: mesa-filesystem(x86-64) is needed by (installed) mesa-dri-drivers-9.2.4-1.20131128.fc20.x86_64

I try use these yum options, but didn't work yum -y --enablerepo=rpmfusion-nonfree install steam --setopt=protected_multilib=false --skip-broken

Thanks,

edit retag flag offensive close merge delete

Comments

The problem is with the mesa package (graphic drivers and stuff) - sudo yum update and sudo package-cleanup might help... For the package-cleanup, use the dupes and problems options.

wilf gravatar imagewilf ( 2013-12-02 07:48:39 -0500 )edit

If the mesa-filesystem package even available on your system? Use sudo yum list mesa*.

wilf gravatar imagewilf ( 2013-12-02 07:50:05 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2013-12-02 17:01:13 -0500

xtaox gravatar image

updated 2013-12-02 17:07:28 -0500

Thanks, guys, for your help

The problem was that the mesa libs was installed with different versions for x86_64 and i686
x86_64 = 9.2.4
i686 = 9.2.3

And this was the cause of thc The solution is install the same version of the x86_64 to i686 using the testing repo

So, these commands above, made me happy again \o/\o/
sudo yum --enablerepo=updates-testing install -y mesa-*.i686
sudo yum --enablerepo=updates-testing install -y glib2*.i686
sudo yum --enablerepo=updates-testing install -y cups-libs*.i686

edit flag offensive delete link more
0

answered 2013-12-02 14:03:38 -0500

Pant gravatar image

Try yum clean all then yum update -y then yum install steam -y.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-12-01 14:18:10 -0500

Seen: 947 times

Last updated: Dec 02 '13